## org.eclipse.ocl.cst
Interface SimpleNameCS

All Superinterfaces:
  CSTNode, EObject, Notifier, OCLExpressionCS

All Known Subinterfaces:
  PrimitiveTypeCS

All Known Implementing Classes:
  PrimitiveTypeCSImpl, SimpleNameCSImpl

    public interface SimpleNameCS

extends OCLExpressionCS

A representation of the model object 'Simple Name CS'.

The following features are supported:

- `Value`
- `Type`

See Also:
  `CSTPackage.getSimpleNameCS()`

Method Summary
`SimpleTypeEnum` `getType()` Returns the value of the 'Type' attribute.
`String` `getValue()` Returns the value of the 'Value' attribute
`void` `setType(SimpleTypeEnum value)` Sets the value of the '`Type`' attribute
`void` `setValue(String value)` Sets the value of the '`Value`' attribute

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `CSTPackage.getSimpleNameCS_Value()`

### setValue

    void setValue(String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getType

    SimpleTypeEnum getType()

  Returns the value of the 'Type' attribute. The literals are from the enumeration `SimpleTypeEnum`.

  If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `SimpleTypeEnum`, `setType(SimpleTypeEnum)`, `CSTPackage.getSimpleNameCS_Type()`

### setType

    void setType(SimpleTypeEnum value)

  Sets the value of the '`Type`' attribute.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `SimpleTypeEnum`, `getType()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.